Subject: RE: [Sip] Supported: in ACK

From: "Gordon Ledgard" <[email-masked]>
Date: Sun, 11 Jun 2006 09:44:23 -0400

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Sunday, June 11, 2006 3:23 AM
> To: Sip IETF
> Subject: [Sip] Supported: in ACK
> 
> 
> So, I'm having a Table 2 debate with Joel R., who notices these
> things. I don't like RFC 3261's Table 2 much, as you may recall . . .
> 
> Can you or should you include a Supported or Require header in an ACK
> request?
> 
> Table 2 says "Not applicable", if I'm reading it right.
> 
> RFC 3261 says:
> 
>     If the UAC supports extensions to SIP that can be applied by the
>     server to the response, the UAC SHOULD include a Supported header
>     field in the request listing the option tags (Section 19.2) for
> those
>     extensions.
> 
> And some of our extensions, at least some of the proposed extensions,
> might actually apply to ACK -- OTOH, there's not a response to ACK,
> so I'm perplexed as to how the Supported: header would be applied by
> the server to the response, since there isn't one.
> 
> JDR has, if I understand him, said several times that one includes
> Supported: with all extensions in every request, and ACK is a
> request, sort of.

"Sort of" is correct. In fact, I would say that, other that the
direction
of propagation, there is almost nothing about the ACK that is truly
a request.

> 
> And, some published examples apparently include Supported: in ACK.
> Should they?
> 

What are the extensions that would apply to ACK wherein it would
not be appropriate or desirable to have placed the "Supported" in
the preceding Request?

> --
> Dean
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip